Bug 1164675 - (CVE-2020-8813) VUL-0: CVE-2020-8813: cacti: remote attackers may execute arbitrary OS commands via shell metacharacters in a cookie, if a guest user has the graph real-time privilege
(CVE-2020-8813)
VUL-0: CVE-2020-8813: cacti: remote attackers may execute arbitrary OS comman...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/253575/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-24 09:31 UTC by Alexandros Toptsoglou
Modified: 2020-05-04 12:18 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2020-02-24 09:31:05 UTC
CVE-2020-8813

graph_realtime.php in Cacti 1.2.8 allows remote attackers to execute arbitrary
OS commands via shell metacharacters in a cookie, if a guest user has the graph
real-time privilege.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-8813
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-8813
https://github.com/Cacti/cacti/releases
https://drive.google.com/file/d/1A8hxTyk_NgSp04zPX-23nPbsSDeyDFio/view
https://gist.github.com/mhaskar/ebe6b74c32fd0f7e1eedf1aabfd44129
https://shells.systems/cacti-v1-2-8-authenticated-remote-code-execution-cve-2020-8813/
Comment 1 Swamp Workflow Management 2020-04-11 14:21:04 UTC
This is an autogenerated message for OBS integration:
This bug (1164675) was mentioned in
https://build.opensuse.org/request/show/793099 15.1+Backports:SLE-12 / cacti+cacti-spine
Comment 2 Swamp Workflow Management 2020-04-27 22:14:50 UTC
openSUSE-SU-2020:0558-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1082318,1122242,1122243,1122244,1122245,1122535,1158990,1158992,1161297,1164675,1169215
CVE References: CVE-2009-4112,CVE-2018-20723,CVE-2018-20724,CVE-2018-20725,CVE-2018-20726,CVE-2019-16723,CVE-2019-17357,CVE-2019-17358,CVE-2020-7106,CVE-2020-7237,CVE-2020-8813
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    cacti-1.2.11-5.1, cacti-spine-1.2.11-2.1
Comment 3 Swamp Workflow Management 2020-04-27 22:16:43 UTC
openSUSE-SU-2020:0558-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1082318,1122242,1122243,1122244,1122245,1122535,1158990,1158992,1161297,1164675,1169215
CVE References: CVE-2009-4112,CVE-2018-20723,CVE-2018-20724,CVE-2018-20725,CVE-2018-20726,CVE-2019-16723,CVE-2019-17357,CVE-2019-17358,CVE-2020-7106,CVE-2020-7237,CVE-2020-8813
Sources used:
openSUSE Leap 15.1 (src):    cacti-1.2.11-lp151.3.6.1, cacti-spine-1.2.11-lp151.3.6.1
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    cacti-1.2.11-5.1, cacti-spine-1.2.11-2.1
Comment 4 Swamp Workflow Management 2020-04-30 19:23:29 UTC
openSUSE-SU-2020:0565-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1082318,1122242,1122243,1122244,1122245,1122535,1158990,1158992,1161297,1164675,1169215
CVE References: CVE-2009-4112,CVE-2018-20723,CVE-2018-20724,CVE-2018-20725,CVE-2018-20726,CVE-2019-16723,CVE-2019-17357,CVE-2019-17358,CVE-2020-7106,CVE-2020-7237,CVE-2020-8813
Sources used:
openSUSE Backports SLE-15-SP1 (src):    cacti-1.2.11-bp151.4.6.1, cacti-spine-1.2.11-bp151.4.6.1
Comment 5 Alexandros Toptsoglou 2020-05-04 12:18:53 UTC
Done